# class StringMap<T>

#### package haxe.ds

#### implements IMap<String, T>

Available on all platforms

StringMap allows mapping of String keys to arbitrary values.

See `Map` for documentation details.

See:

https://haxe.org/manual/std-Map.html

### Constructor

###

`new ()`

Creates a new StringMap.

### Methods

###

`exists (key:String):Bool`

See `Map.exists`

###

`get (key:String):Null<T>`

See `Map.get`

###

`iterator ():Iterator<T>`

See `Map.iterator`

###

`keys ():Iterator<String>`

See `Map.keys`

###

`remove (key:String):Bool`

See `Map.remove`

###

`set (key:String, value:T):Void`

See `Map.set`

###

`toString ():String`

See `Map.toString`